/*
 * PanelResumenJuego.java
 *
 * Created on May 6, 2008, 5:17 AM
 */

package org.casino.gui.comun;

import java.awt.Image;
import java.awt.event.ComponentAdapter;
import java.awt.event.ComponentEvent;
import javax.swing.ImageIcon;

/**
 *
 * @author  ubuntu
 */
public class PanelResumenJuego extends javax.swing.JPanel {
    private boolean editable;
    private boolean favoritoVisible;

    public boolean isFavoritoVisible() {
        return favoritoVisible;
    }

    public void setFavoritoVisible(boolean favoritoVisible) {
        this.favoritoVisible = favoritoVisible;
        juegoFavorito.setVisible(favoritoVisible);
    }

    public boolean isEditable() {
        return editable;
    }

    public void setEditable(boolean editable) {
        this.editable = editable;
        nombreJuego.setEditable(editable);
        descripcionJuego.setEditable(editable);
        //TODO Editar imagen...
        juegoFavorito.setVisible(!editable);
        botonJugar.setVisible(!editable);
        botonBorrar.setVisible(editable);
        categoriaEditable.setVisible(editable);
        categoriaNoEditable.setVisible(!editable);
    }
    
    /** Creates new form PanelResumenJuego */
    public PanelResumenJuego() {
        initComponents();
        setEditable(false);
        setFavoritoVisible(true);
        addComponentListener(new ComponentAdapter() {

            @Override
            public void componentResized(ComponentEvent e) {
               actualizarImagen();
            }
        
        });
    }
    private void actualizarImagen()
    {
        ImageIcon icon = new ImageIcon(getClass().getResource("/org/casino/resources/default_game_logo.jpg"));
        Image img = icon.getImage();
        icon.setImage(img.getScaledInstance(imagenJuego.getWidth(), imagenJuego.getHeight(),Image.SCALE_SMOOTH));
        imagenJuego.setIcon(icon);
    }
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        imagenJuego = new javax.swing.JLabel();
        nombreJuego = new javax.swing.JTextField();
        jScrollPane1 = new javax.swing.JScrollPane();
        descripcionJuego = new javax.swing.JTextArea();
        juegoFavorito = new javax.swing.JCheckBox();
        botonJugar = new javax.swing.JButton();
        categoriaEditable = new javax.swing.JComboBox();
        categoriaNoEditable = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        botonBorrar = new javax.swing.JButton();

        setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));

        imagenJuego.setBackground(new java.awt.Color(153, 153, 255));
        imagenJuego.setIcon(new javax.swing.ImageIcon(getClass().getResource("/org/casino/resources/default_game_logo.jpg"))); // NOI18N
        imagenJuego.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        imagenJuego.setMinimumSize(new java.awt.Dimension(150, 150));
        imagenJuego.setPreferredSize(new java.awt.Dimension(150, 150));

        nombreJuego.setEditable(false);
        nombreJuego.setToolTipText("Nombre del juego");
        nombreJuego.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                nombreJuegoActionPerformed(evt);
            }
        });

        descripcionJuego.setColumns(20);
        descripcionJuego.setEditable(false);
        descripcionJuego.setRows(5);
        descripcionJuego.setToolTipText("Descripción del juego");
        jScrollPane1.setViewportView(descripcionJuego);

        juegoFavorito.setText("Favorito");
        juegoFavorito.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);

        botonJugar.setText("Jugar");
        botonJugar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                botonJugarActionPerformed(evt);
            }
        });

        categoriaEditable.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        categoriaNoEditable.setBackground(new java.awt.Color(204, 204, 204));
        categoriaNoEditable.setText("jLabel1");

        jLabel2.setText("Categoria:");

        botonBorrar.setText("Borrar juego");
        botonBorrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                botonBorrarActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addComponent(nombreJuego, javax.swing.GroupLayout.DEFAULT_SIZE, 272, Short.MAX_VALUE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(juegoFavorito))
                    .addGroup(layout.createSequentialGroup()
                        .addContainerGap()
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(botonBorrar, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(imagenJuego, javax.swing.GroupLayout.PREFERRED_SIZE, 120, Short.MAX_VALUE)
                            .addComponent(botonJugar, javax.swing.GroupLayout.DEFAULT_SIZE, 120, Short.MAX_VALUE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(layout.createSequentialGroup()
                                .addComponent(jLabel2)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(categoriaNoEditable, javax.swing.GroupLayout.DEFAULT_SIZE, 52, Short.MAX_VALUE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(categoriaEditable, javax.swing.GroupLayout.PREFERRED_SIZE, 101, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED))
                            .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 229, Short.MAX_VALUE))))
                .addGap(0, 0, 0))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(juegoFavorito, javax.swing.GroupLayout.PREFERRED_SIZE, 26, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(nombreJuego, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(imagenJuego, 0, 0, Short.MAX_VALUE)
                    .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 112, Short.MAX_VALUE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(botonJugar, javax.swing.GroupLayout.PREFERRED_SIZE, 15, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(botonBorrar, javax.swing.GroupLayout.PREFERRED_SIZE, 9, Short.MAX_VALUE)
                        .addGap(3, 3, 3))
                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 23, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(categoriaNoEditable, javax.swing.GroupLayout.PREFERRED_SIZE, 26, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(categoriaEditable, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGap(0, 0, 0))
        );
    }// </editor-fold>//GEN-END:initComponents

private void botonJugarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_botonJugarActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_botonJugarActionPerformed

private void nombreJuegoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_nombreJuegoActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_nombreJuegoActionPerformed

private void botonBorrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_botonBorrarActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_botonBorrarActionPerformed
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton botonBorrar;
    private javax.swing.JButton botonJugar;
    private javax.swing.JComboBox categoriaEditable;
    private javax.swing.JLabel categoriaNoEditable;
    private javax.swing.JTextArea descripcionJuego;
    private javax.swing.JLabel imagenJuego;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JCheckBox juegoFavorito;
    private javax.swing.JTextField nombreJuego;
    // End of variables declaration//GEN-END:variables

}
